%define majver 0.52
%define libname %mklibname %{name} %{majver}
%define libdevel %{libname}-devel

%bcond_without diet
%bcond_without uclibc

Summary:	A development library for text mode user interfaces
Name:		newt
Version:	0.52.14
Release:	%mkrel 3
License:	LGPLv2+
Group:		System/Libraries
URL:		https://fedorahosted.org/newt/
Source0:	https://fedorahosted.org/releases/n/e/newt/%{name}-%{version}.tar.gz
# do not send upstream, customisation
# change the default color palette
Patch1: 	newt-0.52.6-mdvconf.patch
# TODO send upstream ( and find what is this patch )
Patch2: 	newt-0.51.4-fix-wstrlen-for-non-utf8-strings.patch
# splitted, and send upstream by mail ( misc, 24/01/2011 )
Patch3: 	newt-0.52.13-assorted-fixes.patch
BuildRequires:	glibc-static-devel
BuildRequires:	popt-devel
BuildRequires:	python-devel
BuildRequires:	slang-devel
%if %{with diet}
BuildRequires:	dietlibc-devel
%endif
%if %{with uclibc}
BuildRequires:	uClibc-devel
%endif
Requires:	slang
# unused, should be dropped ( misc, 17/01/2011 )
Provides:	python-snack
# required by alsaconf
Provides:	whiptail
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Newt is a programming library for color text mode, widget based user
interfaces. Newt can be used to add stacked windows, entry widgets, checkboxes,
radio buttons, labels, plain text fields, scrollbars, etc., to text mode user
interfaces.  This package contains a /usr/bin/dialog replacement called
whiptail. Newt is based on the slang library.

%package -n	%{libname}
Summary:	Newt windowing toolkit development files library
Group:		Development/C
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
Newt is a programming library for color text mode, widget based user
interfaces. Newt can be used to add stacked windows, entry widgets, checkboxes,
radio buttons, labels, plain text fields, scrollbars, etc., to text mode user
interfaces.  This package contains a /usr/bin/dialog replacement called
whiptail. Newt is based on the slang library.

%package -n	%libdevel
Summary:	Newt windowing toolkit development files
Group:		Development/C
Requires:	slang-devel %{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel
Conflicts:	libnewt0.51-devel

%description -n %libdevel
Newt is a programming library for color text mode, widget based user
interfaces. Newt can be used to add stacked windows, entry widgets, checkboxes,
radio buttons, labels, plain text fields, scrollbars, etc., to text mode user
interfaces.  This package contains a /usr/bin/dialog replacement called
whiptail. Newt is based on the slang library.

Install newt-devel if you want to develop applications which will use newt.

%prep
%setup -q
%patch1 -p1 -b .mdvconf
%patch2 -p1 -b .fix-wstrlen-for-non-utf8-strings
%patch3 -p1 -b .assorted-fixes

%if %{with diet}
mkdir diet
pushd diet
ln -s ../*.[ch] ../newt.spec .
popd
%endif

%if %{with uclibc}
mkdir uclibc
pushd uclibc
ln -s ../*.[ch] ../newt.spec .
popd
%endif

%build
%if %{with diet}
pushd diet
CC="diet gcc" CFLAGS="-Os -g" \
../configure	--without-gpm-support \
		--without-tcl \
		--disable-nls
%make libnewt.a
popd
%endif

%if %{with uclibc}
pushd uclibc
CC="%{uclibc_cc}" CFLAGS="%{uclibc_cflags}" \
../configure	--without-gpm-support \
		--without-tcl \
		--disable-nls
%make libnewt.a
popd
%endif

%configure --with-gpm-support --without-tcl
%make
%make shared

%install
rm -rf %{buildroot}

install -d %{buildroot}
%makeinstall

%if %{with diet}
install -m644 diet/libnewt.a -D %{buildroot}%{_prefix}/lib/dietlibc/lib-%{_arch}/libnewt.a
%endif

%if %{with uclibc}
install -m644 uclibc/libnewt.a -D %{buildroot}%{_prefix}/uclibc/%{_libdir}/libnewt.a
%endif
 
ln -snf lib%{name}.so.%{version} %{buildroot}%{_libdir}/lib%{name}.so.%{majver}

rm -rf %{buildroot}%{_libdir}/python{1.5,2.0,2.1,2.2}

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr (-,root,root)
%doc CHANGES
%{_libdir}/libnewt.so.*

%files -f %{name}.lang
%defattr (-,root,root)
%doc CHANGES COPYING
%{_bindir}/whiptail
%{_libdir}/python%pyver/site-packages/*
%{_mandir}/man1/whiptail.1*

%files -n %libdevel
%defattr (-,root,root)
%doc tutorial.sgml
%{_includedir}/newt.h
%{_libdir}/libnewt.a
%{_libdir}/libnewt.so
%if %{with diet}
%{_prefix}/lib/dietlibc/lib-%{_arch}/libnewt.a
%endif
%if %{with uclibc}
%{_prefix}/uclibc%{_libdir}/libnewt.a
%endif
%{_libdir}/pkgconfig/libnewt.pc





%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.52.14-3.mga3
+ Revision: 361014
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 01 2012 tv <tv> 0.52.14-2.mga3
+ Revision: 252926
- add dietlibc & uclibc builds

* Sun Feb 19 2012 luigiwalser <luigiwalser> 0.52.14-1.mga2
+ Revision: 210657
- 0.52.14

* Tue Sep 06 2011 tv <tv> 0.52.13-1.mga2
+ Revision: 139647
- new release
- drop patch 0 & 8 (merged)
- rediff patch 3

* Mon Jan 17 2011 misc <misc> 0.52.11-4.mga1
+ Revision: 21012
- add some comment about patch and provides
- remove old version requires on a long forgotten python version
- rebuilt for new python

  + dmorgan <dmorgan>
    - Get rid of mdv macros
    - imported package newt

